> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Media Call Details > Returns the stored record for a media call, including ended calls. The record includes the sipCallId for external (SIP) calls. Only participants of the call can access the record. ### Changelog | Version | Description | | ------- | ----------- | | 8.9.0 | Added | ## OpenAPI ````json GET /api/v1/media-calls.info { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/media-calls.info": { "get": { "tags": [ "Media Calls" ], "summary": "Get Media Call Details", "description": "Returns the stored record for a media call, including ended calls. The record includes the sipCallId for external (SIP) calls. Only participants of the call can access the record.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.9.0 | Added |", "operationId": "get-api-v1-media-calls.info", "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" }, { "name": "callId", "in": "query", "description": "The media call ID.", "required": true, "schema": { "type": "string" }, "example": "9f44ec94-2046-4fac-976b-fa8b0e022b08" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "call": { "type": "object", "properties": { "_id": { "type": "string", "description": "The media call ID." }, "service": { "type": "string", "enum": [ "webrtc" ] }, "kind": { "type": "string", "enum": [ "direct" ] }, "state": { "type": "string", "enum": [ "none", "ringing", "accepted", "active", "hangup" ] }, "createdBy": { "type": "object", "description": "The actor who created the call." }, "createdAt": { "type": "string", "format": "date-time" }, "caller": { "type": "object", "description": "The party that started the call. `type` is `user` or `sip`.", "properties": { "type": { "type": "string" }, "id": { "type": "string" }, "contractId": { "type": "string" }, "displayName": { "type": "string" }, "username": { "type": "string" }, "sipExtension": { "type": "string" } } }, "callee": { "type": "object", "description": "The party being called. `type` is `user` or `sip`.", "properties": { "type": { "type": "string" }, "id": { "type": "string" }, "contractId": { "type": "string" }, "displayName": { "type": "string" }, "username": { "type": "string" }, "sipExtension": { "type": "string" } } }, "ended": { "type": "boolean" }, "endedBy": { "type": "object" }, "endedAt": { "type": "string", "format": "date-time" }, "hangupReason": { "type": "string" }, "expiresAt": { "type": "string", "format": "date-time" }, "acceptedAt": { "type": "string", "format": "date-time" }, "activatedAt": { "type": "string", "format": "date-time" }, "uids": { "type": "array", "description": "The user IDs of the call participants.", "items": { "type": "string" } }, "features": { "type": "array", "items": { "type": "string" } }, "sipCallId": { "type": "string", "description": "The SIP Call-ID of an external call. Present only for calls that went through SIP." }, "_updatedAt": { "type": "string", "format": "date-time" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "call": { "_id": "9f44ec94-2046-4fac-976b-fa8b0e022b08", "service": "webrtc", "kind": "direct", "state": "hangup", "createdBy": { "type": "user", "id": "aEGCdnFoBFCFNdiyX", "contractId": "7b96e74d-1e01-412a-8bcb-145db1bc9ac4" }, "createdAt": "2026-09-23T13:30:53.165Z", "caller": { "type": "user", "id": "aEGCdnFoBFCFNdiyX", "contractId": "7b96e74d-1e01-412a-8bcb-145db1bc9ac4", "displayName": "Dana Reyes", "username": "dana.reyes" }, "callee": { "type": "sip", "id": "+15550100123", "displayName": "Acme Support" }, "ended": true, "endedBy": { "type": "user", "id": "aEGCdnFoBFCFNdiyX" }, "endedAt": "2026-09-23T13:35:10.402Z", "expiresAt": "2026-09-23T13:36:10.402Z", "acceptedAt": "2026-09-23T13:31:02.118Z", "activatedAt": "2026-09-23T13:31:03.54Z", "uids": [ "aEGCdnFoBFCFNdiyX" ], "features": [ "audio" ], "sipCallId": "3c4f8a1e-92b7-4d6e@sip.example.com", "_updatedAt": "2026-09-23T13:35:10.402Z" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing Parameter": { "value": { "success": false, "error": "must have required property 'callId' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "404": { "description": "Not Found. The call does not exist, or you are not a participant.", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Not Found": { "value": { "success": false, "error": "Resource not found" } } } } } } } } } }, "components": { "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": true, "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": true, "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````